package com.red.circle.other.app.inner.service.user.region;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.user.SysRegionRelationCmd;
import com.red.circle.other.inner.model.cmd.user.SysRegionRelationQryCmd;
import com.red.circle.other.inner.model.dto.user.reigon.RegionRelationDTO;
import com.red.circle.other.inner.enums.user.RegionRelationGroupEnum;
import java.util.List;
import java.util.Set;

/**
 * 区域关系.
 *
 * @author pengliang on 2023/8/20
 */
public interface RegionRelationClientService {

  /**
   * 获取一组区域关系信息.
   */
  List<RegionRelationDTO> listByRegionId(String regionId, String sysOrigin,
      RegionRelationGroupEnum group);

  PageResult<RegionRelationDTO> pageRelation(SysRegionRelationQryCmd query);

  void add(SysRegionRelationCmd param);

  void update(SysRegionRelationCmd param);

  Set<Long> getRelationIdsByRegionId(String regionId, String name);
}
